package com.bonus.zlpt.company.mapper;

import com.bonus.zlpt.company.api.domain.MaUserCollect;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/2 13:41
* @Version 1.0
*/

@Mapper
public interface MaUserCollectMapper {

    /**
     * 根据设备id + 用户id 删除收藏数据
     * @param obj 信息
     * @return 删除结果
     */
    int deleteByPrimaryKey(MaUserCollect obj);

    int insert(MaUserCollect record);

    int insertSelective(MaUserCollect record);

    MaUserCollect selectByPrimaryKey(Integer id);

    /**
     * 根据设备id查询设备信息
     * @param maId 设备id
     * @return 设备信息
     */
    MaUserCollect selectByMaId(Integer maId);

    List<MaUserCollect> selectAll(MaUserCollect record);

    int updateByPrimaryKeySelective(MaUserCollect record);

    int updateByPrimaryKey(MaUserCollect record);
}